Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.certclient
Interface PkEeReqTransaction

All Superinterfaces:
  PkEeTransaction

All Known Subinterfaces:
  PkEeBuiltReqTransaction, PkEeCertReqTransaction

    public interface PkEeReqTransaction

extends PkEeTransaction

Interface specific to all certificate request transactions

Method Summary
`X509Certificate[]` | `getCertificateChain()` Fetch the certificate chain which was returned from the CA.
`byte[]` | `getPKCS10CertReq()` creates the DER encoded PKCS10 form of the certificate request from the parameters provided
`X509Certificate` | `getSignedCert()` Fetch the signed certificate which was returned from the CA.

Methods inherited from interface com.ibm.security.certclient.PkEeTransaction
`actionRequest`

Method Detail

### getSignedCert

    X509Certificate getSignedCert()

  Fetch the signed certificate which was returned from the CA. This will only be meaningful after the certificate request has been actioned.

  Returns:
    the signed X509 certificate or null if the certificate request was not signed.

### getCertificateChain

    X509Certificate[] getCertificateChain()

  Fetch the certificate chain which was returned from the CA. This will only be meaningful after the certificate request has been actioned.

  Returns:
    the certificate chain returned from the CA, or null if none was returned.

### getPKCS10CertReq

    byte[] getPKCS10CertReq()
                            throws com.ibm.security.certclient.base.PkRejectionException

  creates the DER encoded PKCS10 form of the certificate request from the parameters provided

  Returns:
    the byte array containing the DER encoded unsigned request
  Throws:
    `com.ibm.security.certclient.base.PkRejectionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD